/*
Corrction du laboratoire 10

Auteur: Anis Boubaker
Date: 2018-11-21
*/
#include <stdio.h>
#include <stdlib.h>
#include "t_date.h"
#include "t_client.h"

#define MAX_CLIENTS 5

//Macro fonction permettant de vider le contenu du tampon de saisie jusqu'au prochain \n
#define FFLUSH() while(getchar()!='\n'){}

int main(void)
{
	//On dclare deux variables de type t_date
	t_date date1, date2;
	int resultat_comparaison; //Stocke le rsultat d'une comparaison des deux dates.
	t_client tab_clients[MAX_CLIENTS]; //Tableau qui contiendra les clients saisis
	char continuer; //Stocke la rponse de l'usager sur si il veut saisir d'autre clients
	int nb_clients=0; //nombre effectif de clients dans tab_clients

	int i; //compteur de boucle
	
	//Question 1: On saisir les deux dates (voir fonction saisir_date dans t_date.c)
	printf("** Saisie de la premiere date: \n");
	saisir_date(&date1);
	printf("** Saisie de la seconde date: \n");
	saisir_date(&date2);

	//Question 2: On compare les deux dates (voir fonction comparer_dates dans t_date.c)
	//puis on affiche le rsultat de la comparaison
	resultat_comparaison = comparer_dates(date1, date2);
	if ( resultat_comparaison == 0 ) 
	{
		printf("Les deux dates sont identifques.\n");
	} 
	else if (resultat_comparaison > 0)
	{
		printf("La premiere date saisie est plus eloignee.\n");
	}
	else
	{
		printf("La seconde date saisie est plus eloignee.\n");
	}
	
	//Question 4: Voir fonction saisir_client dans t_client.c

	//Question5: 
	nb_clients = 0;
	do {
		printf("** Veuillez saisir le client #%d\n", nb_clients + 1);
		saisir_client(&tab_clients[nb_clients]);
		nb_clients++;
		printf("Saisir d'autres clients? (O pour Oui, toute autre touche pour Non)\n");
		continuer = getchar();
		FFLUSH();
	} while (nb_clients<MAX_CLIENTS && (continuer == 'o' || continuer == 'O'));

	//On affiche les clients saisis
	for (i = 0; i < nb_clients; i++)
	{
		afficher_client(tab_clients[i]);
		// Ou avec la 2e fonction: 
		// afficher_client2(&tab_clients[i]);
	}

	system("pause");
	return 0;
}