#define _CRT_SECURE_NO_WARNINGS

#include "t_date.h"

//Macro fonction permettant de vider le contenu du tampon de saisie jusqu'au prochain \n
#define FFLUSH() while(getchar()!='\n'){}


//Saisit un date et la stocke dans la rfrence reue en paramtre
void saisir_date(t_date *la_date) {
	printf("Saisir le jour: ");
	scanf("%d", &la_date->jour);
	//On vide le tampon de saisie pour viter les problmes ultrieurs avec fgets
	FFLUSH();

	printf("Saisir le mois: ");
	scanf("%d", &la_date->mois);
	FFLUSH();

	printf("Saisir l'annee: ");
	scanf("%d", &la_date->annee);
	FFLUSH();
}

//Compare deux dates renvoie 0 si identiques, !=0 sinon.
/*
NDE: Notez ici que les dates sont transmises par copie. Toute modification
de date1 ou date2 dans la fonction n'aura aucune influence sur l'appelant!
*/
int comparer_dates(t_date date1, t_date date2)
{
	//On compare les annes, puis les mois, puis les jours. 
	//Si on trouve que les annes sont diffrentes, on peut tout de suite
	//dire que les dates sont diffrentes, et dduire laquelle est plus
	//loigne.
	if (date1.annee != date2.annee)
	{
		return date1.annee - date2.annee;
	}
	if (date1.mois != date2.mois)
	{
		return date1.mois - date2.mois;
	}
	if (date1.jour != date2.jour)
	{
		return date1.jour - date2.jour;
	}
	//Tous champs sont identiques => Les dates sont identiques.
	return 0;
}
